// This file was generated by qlalr - DO NOT EDIT!
#ifndef TABLE_LOGLEXER_P_H
#define TABLE_LOGLEXER_P_H

class Table_LogLexer
{
public:
    enum VariousConstants {
        EOF_SYMBOL = 0,
        AT = 8,
        CRITICAL = 5,
        DATE = 9,
        DEBUG = 2,
        EOL_SYMBOL = 1,
        ERROR = 7,
        FATAL = 6,
        INFO = 3,
        TIME = 10,
        WARNING = 4,
        WORD = 11,

        ACCEPT_STATE = 13,
        RULE_COUNT = 24,
        STATE_COUNT = 34,
        TERMINAL_COUNT = 12,
        NON_TERMINAL_COUNT = 12,

        GOTO_INDEX_OFFSET = 34,
        GOTO_INFO_OFFSET = 33,
        GOTO_CHECK_OFFSET = 33
    };

    static const char *const     spell[];
    static const short             lhs[];
    static const short             rhs[];
    static const short    goto_default[];
    static const short  action_default[];
    static const short    action_index[];
    static const short     action_info[];
    static const short    action_check[];

    static inline int nt_action (int state, int nt)
    {
        const int yyn = action_index [GOTO_INDEX_OFFSET + state] + nt;
        if (yyn < 0 || action_check [GOTO_CHECK_OFFSET + yyn] != nt)
            return goto_default [nt];

        return action_info [GOTO_INFO_OFFSET + yyn];
    }

    static inline int t_action (int state, int token)
    {
        const int yyn = action_index [state] + token;

        if (yyn < 0 || action_check [yyn] != token)
            return - action_default [state];

        return action_info [yyn];
    }
};


#endif // TABLE_LOGLEXER_P_H

